, , ,


In my Previous Post I discussed about an issue of “MAPI not installed on system” while Installing E-mail router. The resolution was to manually download and install the missing files(MAPI and CDO).

While trying to do exactly the same I encountered yet another issue while installing the downloaded files.

After a bit of Google and some reading I found out that “CDO 1.2.1 is not supported with Outlook 2010 and later version”.

Reason: “Microsoft Outlook 2010 and later versions include many architectural changes to the client-side MAPI subsystem. Also, CDO 1.2.1 is a 32-bit client library and will not operate with 64-bit versions of Outlook. Given all these factors, CDO 1.2.1 is not supported for use with Outlook 2010 or Outlook 2013.”

So, I had to Uninstall my MS-Office 2013 from my system first and later on continue with the installation of MAPI and CDO 1.2.1 again.

This issue has been explained in much detail in the Microsoft Support Article.

Thanks !!!